Subject: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Michael Albinus <[email-masked]>
Date: Fri, 09 Jul 2021 10:28:29 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> One point I am missing is to suppress lock files, customised by
>> users. There is create-lockfiles, but this is all-or-nothing.
>
> What other degrees besides "all" and "nothing" would you like to have?
> And why?

Remote files (all files which match tramp-file-name-regexp). For
backward compatibility, and possibly due to performance reasons.

Mounted files (all files which match `mounted-file-systems'). Possibly
due to performance reasons.

These are just examples. One could imagine more fine-grained choices
(for example, only files located on a given host), or completely other
selections.

Best regards, Michael.